CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
TestListener.h File Reference
`#include <cppunit/Portability.h>`

Go to the source code of this file.

## Classes
class | TestListener
| Listener for test progress and result.Implementing the Observer pattern a TestListener may be registered to a TestResult to obtain information on the testing progress. Use specialized sub classes of TestListener for text output (TextTestProgressListener). Do not use the Listener for the test result output, use a subclass of Outputter instead. More...

| Send comments to: CppUnit Developers